<?xml version='1.0'?>
<!DOCTYPE component [
<!ENTITY % settings SYSTEM "/native/fx/mail.dtd">
%settings;
<!ENTITY % package SYSTEM "/native/fx/package.dtd">
%package;
]>

<gui:component xmlns:gui="http://bar.yandex.ru/dev/native/gui" xmlns:html="http://www.w3.org/1999/xhtml" icon="/native/fx/mail/mail.png" name="&mail.name;" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
    <html:script type="application/x-javascript;version=1.8"><![CDATA[
        {{SCRIPT}}
    ]]></html:script>

    <preferences>
        <preference id="{{INST_ID}}soundURI" name="{{PROTO_PREF_BRANCH}}soundURI" gui:resetOnRestore="true" type="unichar"/>
    </preferences>

    <gui:gui onshown="JSProtoObject.onShown('{{INST_ID}}');">
        <gui:nodes name="soundAlert">
            <hbox align="center">
                <textbox flex="1" id="wgt-{{INST_ID}}-pref-sound-uri" oninput="JSProtoObject.toggleAccess('{{INST_ID}}');" preference="{{INST_ID}}soundURI"/>

                <button id="wgt-{{INST_ID}}-pref-sound-select" label="&mail.alert.sound.select.label;" oncommand="JSProtoObject.openFileDialog('{{INST_ID}}');"/>

                <button id="wgt-{{INST_ID}}-pref-sound-preview" label="&mail.alert.sound.preview.label;" oncommand="JSProtoObject.play('{{INST_ID}}')"/>
            </hbox>
        </gui:nodes>
    </gui:gui>
</gui:component>
